You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     ar...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/www/newsbeuter/Makefile 327776 2013-09-20 
23:36:50Z bapt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2013-10-17_07h20m58s/logs/newsbeuter-2.6_2.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2013-10-17_07h20m58s
Log:

====>> Building www/newsbeuter
build started at Thu Oct 17 16:58:58 UTC 2013
port directory: /usr/ports/www/newsbeuter
building for: FreeBSD 10amd64-default-job-14 10.0-BETA1 FreeBSD 10.0-BETA1 
r256420 amd64
maintained by: ar...@freebsd.org
Makefile ident:      $FreeBSD: head/www/newsbeuter/Makefile 327776 2013-09-20 
23:36:50Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1000500
UNAME_v=FreeBSD 10.0-BETA1 r256420
UNAME_r=10.0-BETA1
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/10amd64-default/ref
PKG_EXT=txz
tpid=43345
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=newsbeuter-2.6_2
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=10amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" MAKE=gmake PKG_CONFIG=pkgconf TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" 
-Wl,-rpath=/usr/lib:/usr/local/lib"  CXX="c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/newsbeuter
DOCSDIR=/usr/local/share/doc/newsbeuter
EXAMPLESDIR=/usr/local/share/examples/newsbeuter
WWWDIR=/usr/local/www/newsbeuter
ETCDIR=/usr/local/etc/newsbeuter
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for newsbeuter-2.6_2
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   newsbeuter-2.6_2 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of newsbeuter-2.6_2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by newsbeuter-2.6_2 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by newsbeuter-2.6_2 for building
=> SHA256 Checksum OK for newsbeuter-2.6.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by newsbeuter-2.6_2 for building
===>  Extracting for newsbeuter-2.6_2
=> SHA256 Checksum OK for newsbeuter-2.6.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for newsbeuter-2.6_2
/usr/bin/sed -i.bak -e "s,share/man,man,;  /^prefix/s|=.*|=/usr/local|; 
/^CXX=/d;  s|/usr/local|/usr/local|; s|ruby1.8|ruby18|"  
/wrkdirs/usr/ports/www/newsbeuter/work/newsbeuter-2.6/Makefile
/usr/bin/sed -i.bak -e 's,<ncursesw/ncurses.h>,<ncurses.h>,'  
/wrkdirs/usr/ports/www/newsbeuter/work/newsbeuter-2.6/src/controller.cpp 
/wrkdirs/usr/ports/www/newsbeuter/work/newsbeuter-2.6/src/view.cpp
/usr/bin/sed -i.bak -e 's,fail "ncursesw5",true,; s,fail "libcrypto",true,'  
/wrkdirs/usr/ports/www/newsbeuter/work/newsbeuter-2.6/config.sh
===========================================================================
=======================<phase: build-depends  >============================
===>   newsbeuter-2.6_2 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3.1... done
 done
===>   Returning to build of newsbeuter-2.6_2
===>   newsbeuter-2.6_2 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.3.txz
Installing pkgconf-0.9.3... done
===>   Returning to build of newsbeuter-2.6_2
===>   newsbeuter-2.6_2 depends on file: /usr/local/bin/perl5.14.4 - not found
===>    Verifying install for /usr/local/bin/perl5.14.4 in 
/usr/ports/lang/perl5.14
===>   Installing existing package /packages/All/perl-5.14.4_2.txz
Installing perl-5.14.4_2...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
Done.
 done
===>   Returning to build of newsbeuter-2.6_2
===========================================================================
=======================<phase: lib-depends    >============================
===>   newsbeuter-2.6_2 depends on shared library: libintl.so - found
===>   newsbeuter-2.6_2 depends on shared library: stfl.1 - not found
===>    Verifying install for stfl.1 in /usr/ports/devel/stfl
===>   Installing existing package /packages/All/stfl-0.22.txz
Installing stfl-0.22... done
===>   Returning to build of newsbeuter-2.6_2
===>   newsbeuter-2.6_2 depends on shared library: curl - not found
===>    Verifying install for curl in /usr/ports/ftp/curl
===>   Installing existing package /packages/All/curl-7.32.0.txz
Installing curl-7.32.0...Installing ca_root_nss-3.15.1_1... done
 done
===>   Returning to build of newsbeuter-2.6_2
===>   newsbeuter-2.6_2 depends on shared library: json.0 - not found
===>    Verifying install for json.0 in /usr/ports/devel/json-c
===>   Installing existing package /packages/All/json-c-0.9.txz
Installing json-c-0.9... done
===>   Returning to build of newsbeuter-2.6_2
===>   newsbeuter-2.6_2 depends on shared library: sqlite3.8 - not found
===>    Verifying install for sqlite3.8 in /usr/ports/databases/sqlite3
===>   Installing existing package /packages/All/sqlite3-3.8.0.2.txz
Installing sqlite3-3.8.0.2... done
===>   Returning to build of newsbeuter-2.6_2
===>   newsbeuter-2.6_2 depends on shared library: xml2.5 - not found
===>    Verifying install for xml2.5 in /usr/ports/textproc/libxml2
===>   Installing existing package /packages/All/libxml2-2.8.0_2.txz
Installing libxml2-2.8.0_2... done
===>   Returning to build of newsbeuter-2.6_2
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for newsbeuter-2.6_2
===========================================================================
=======================<phase: build          >============================
===>  Building for newsbeuter-2.6_2
gmake[1]: Entering directory 
`/wrkdirs/usr/ports/www/newsbeuter/work/newsbeuter-2.6'
Makefile:19: config.mk: No such file or directory
Checking for package sqlite3... found
Checking for package libcurl... found
Checking for package libxml-2.0... found
Checking for package stfl... found
Checking for package json... found
Checking for package ncursesw5 using ncursesw5-config... not found
Checking for package libcrypto... not found
gmake[1]: Leaving directory 
`/wrkdirs/usr/ports/www/newsbeuter/work/newsbeuter-2.6'
gmake[1]: Entering directory 
`/wrkdirs/usr/ports/www/newsbeuter/work/newsbeuter-2.6'
msgfmt --statistics -o po/zh_TW.mo po/zh_TW.po
315 translated messages, 6 fuzzy translations, 5 untranslated messages.
msgfmt --statistics -o po/nl.mo po/nl.po
302 translated messages, 15 fuzzy translations, 9 untranslated messages.
msgfmt --statistics -o po/hu.mo po/hu.po
315 translated messages, 6 fuzzy translations, 5 untranslated messages.
msgfmt --statistics -o po/pt_BR.mo po/pt_BR.po
326 translated messages.
msgfmt --statistics -o po/uk.mo po/uk.po
311 translated messages, 6 fuzzy translations, 9 untranslated messages.
msgfmt --statistics -o po/it.mo po/it.po
315 translated messages, 6 fuzzy translations, 5 untranslated messages.
msgfmt --statistics -o po/zh.mo po/zh.po
228 translated messages, 46 fuzzy translations, 52 untranslated messages.
msgfmt --statistics -o po/fr.mo po/fr.po
191 translated messages, 50 fuzzy translations, 85 untranslated messages.
msgfmt --statistics -o po/sv.mo po/sv.po
302 translated messages, 15 fuzzy translations, 9 untranslated messages.
msgfmt --statistics -o po/es.mo po/es.po
326 translated messages.
msgfmt --statistics -o po/es_ES.mo po/es_ES.po
315 translated messages, 6 fuzzy translations, 5 untranslated messages.
msgfmt --statistics -o po/nb.mo po/nb.po
326 translated messages.
msgfmt --statistics -o po/de.mo po/de.po
326 translated messages.
msgfmt --statistics -o po/tr.mo po/tr.po
260 translated messages, 15 fuzzy translations, 51 untranslated messages.
msgfmt --statistics -o po/pl.mo po/pl.po
322 translated messages, 4 fuzzy translations.
msgfmt --statistics -o po/ru.mo po/ru.po
312 translated messages, 14 untranslated messages.
c++ -O2 -pipe -fno-strict-aliasing -ggdb -Iinclude -Istfl -Ifilter -I. -Irss 
-Wall -Wextra -DLOCALEDIR=\"/usr/local/share/locale\" -I/usr/local/include   
-I/usr/local/include   -I/usr/local/include/libxml2   -I/usr/local/include   
-I/usr/local/include/json   -DHAVE_OPENSSL=1 -O2 -pipe -fno-strict-aliasing 
-ggdb -Iinclude -Istfl -Ifilter -I. -Irss -Wall -Wextra 
-DLOCALEDIR=\"/usr/local/share/locale\" -o src/configcontainer.o -c 
src/configcontainer.cpp
c++ -O2 -pipe -fno-strict-aliasing -ggdb -Iinclude -Istfl -Ifilter -I. -Irss 
-Wall -Wextra -DLOCALEDIR=\"/usr/local/share/locale\" -I/usr/local/include   
-I/usr/local/include   -I/usr/local/include/libxml2   -I/usr/local/include   
-I/usr/local/include/json   -DHAVE_OPENSSL=1 -O2 -pipe -fno-strict-aliasing 
-ggdb -Iinclude -Istfl -Ifilter -I. -Irss -Wall -Wextra 
-DLOCALEDIR=\"/usr/local/share/locale\" -o src/configparser.o -c 
src/configparser.cpp
c++ -O2 -pipe -fno-strict-aliasing -ggdb -Iinclude -Istfl -Ifilter -I. -Irss 
-Wall -Wextra -DLOCALEDIR=\"/usr/local/share/locale\" -I/usr/local/include   
-I/usr/local/include   -I/usr/local/include/libxml2   -I/usr/local/include   
-I/usr/local/include/json   -DHAVE_OPENSSL=1 -O2 -pipe -fno-strict-aliasing 
-ggdb -Iinclude -Istfl -Ifilter -I. -Irss -Wall -Wextra 
-DLOCALEDIR=\"/usr/local/share/locale\" -o src/colormanager.o -c 
src/colormanager.cpp
In file included from src/colormanager.cpp:6:
In file included from include/feedlist_formaction.h:4:
In file included from include/formaction.h:6:
include/rss.h:86:26: error: no member named 'tr1' in namespace 'std'
                        void set_feedptr(std::tr1::shared_ptr<rss_feed> ptr);
                                         ~~~~~^
include/rss.h:86:41: error: expected ')'
                        void set_feedptr(std::tr1::shared_ptr<rss_feed> ptr);
                                                             ^
include/rss.h:86:20: note: to match this '('
                        void set_feedptr(std::tr1::shared_ptr<rss_feed> ptr);
                                        ^
include/rss.h:87:16: error: no member named 'tr1' in namespace 'std'
                        inline std::tr1::shared_ptr<rss_feed> get_feedptr() { 
return feedptr; }
                               ~~~~~^
include/rss.h:87:31: error: expected member name or ';' after declaration 
specifiers
                        inline std::tr1::shared_ptr<rss_feed> get_feedptr() { 
return feedptr; }
                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~^
include/rss.h:118:9: error: no member named 'tr1' in namespace 'std'
                        std::tr1::shared_ptr<rss_feed> feedptr;
                        ~~~~~^
include/rss.h:118:24: error: expected member name or ';' after declaration 
specifiers
                        std::tr1::shared_ptr<rss_feed> feedptr;
                        ~~~~~~~~~~~~~~~~~~~~^
include/rss.h:30:43: error: use of undeclared identifier 'title_'; did you mean 
'title'?
                        std::string title_raw() const { return title_; }
                                                               ^~~~~~
                                                               title
include/rss.h:29:16: note: 'title' declared here
                        std::string title() const;
                                    ^
include/rss.h:30:43: error: reference to non-static member function must be 
called; did you mean to call it with no arguments?
                        std::string title_raw() const { return title_; }
                                                               ^~~~~~
                                                                     ()
include/rss.h:147:28: error: no member named 'tr1' in namespace 'std'
                        inline std::vector<std::tr1::shared_ptr<rss_item> >& 
items() { return items_; }
                                           ~~~~~^
include/rss.h:147:44: error: 'rss_item' does not refer to a value
                        inline std::vector<std::tr1::shared_ptr<rss_item> >& 
items() { return items_; }
                                                                ^
include/rss.h:24:8: note: declared here
        class rss_item : public matchable {
              ^
include/rss.h:147:54: error: expected member name or ';' after declaration 
specifiers
                        inline std::vector<std::tr1::shared_ptr<rss_item> >& 
items() { return items_; }
                        ~~~~~~                                            ^
include/rss.h:170:9: error: no member named 'tr1' in namespace 'std'
                        std::tr1::shared_ptr<rss_item> 
get_item_by_guid_unlocked(const std::string& guid);
                        ~~~~~^
include/rss.h:170:24: error: expected member name or ';' after declaration 
specifiers
                        std::tr1::shared_ptr<rss_item> 
get_item_by_guid_unlocked(const std::string& guid);
                        ~~~~~~~~~~~~~~~~~~~~^
include/rss.h:186:39: error: no member named 'tr1' in namespace 'std'
                        void 
update_items(std::vector<std::tr1::shared_ptr<rss_feed> > feeds);
                                                      ~~~~~^
include/rss.h:186:55: error: 'rss_feed' does not refer to a value
                        void 
update_items(std::vector<std::tr1::shared_ptr<rss_feed> > feeds);
                                                                           ^
include/rss.h:126:8: note: declared here
        class rss_feed : public matchable {
              ^
include/rss.h:186:65: error: expected ')'
                        void 
update_items(std::vector<std::tr1::shared_ptr<rss_feed> > feeds);
                                                                                
     ^
include/rss.h:186:21: note: to match this '('
                        void 
update_items(std::vector<std::tr1::shared_ptr<rss_feed> > feeds);
                                         ^
include/rss.h:209:27: error: no member named 'tr1' in namespace 'std'
                        void set_feedptrs(std::tr1::shared_ptr<rss_feed> self);
                                          ~~~~~^
include/rss.h:209:42: error: expected ')'
                        void set_feedptrs(std::tr1::shared_ptr<rss_feed> self);
                                                              ^
include/rss.h:209:21: note: to match this '('
                        void set_feedptrs(std::tr1::shared_ptr<rss_feed> self);
                                         ^
include/rss.h:226:21: error: no member named 'tr1' in namespace 'std'
                        std::vector<std::tr1::shared_ptr<rss_item> > items_;
                                    ~~~~~^
fatal error: too many errors emitted, stopping now [-ferror-limit=]
20 errors generated.
gmake[1]: *** [src/colormanager.o] Error 1
gmake[1]: Leaving directory 
`/wrkdirs/usr/ports/www/newsbeuter/work/newsbeuter-2.6'
*** Error code 1

Stop.
make: stopped in /usr/ports/www/newsbeuter
===>  Cleaning for newsbeuter-2.6_2
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to